> ## Documentation Index
> Fetch the complete documentation index at: https://pindocs.jackalprotocol.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account usage

> Get storage usage information for the account



## OpenAPI

````yaml https://pinapi.jackalprotocol.com/public/swagger.json get /accounts/usage
openapi: 3.0.2
info:
  title: Jackal Pin
  description: >-
    This is the API reference for Jackal Pin, an IPFS pinning service running on
    top of the Jackal Protocol, hosted by Jackal Labs.
  termsOfService: https://pin.jackalprotocol.com/terms
  contact:
    email: pinsupport@jackallabs.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://pinapi.jackalprotocol.com/api
security: []
tags:
  - name: keys
    description: Access permissions with JWTs
    externalDocs:
      description: JWT docs
      url: https://jwt.io/introduction
  - name: files
    description: Managing files
  - name: collection
    description: Managing collections
  - name: collection + files
    description: Interactions with files and collections
  - name: accounts
    description: Managing user accounts
  - name: payment
    description: Payment and subscription operations
  - name: system
    description: System information and operations
externalDocs:
  description: More about the Jackal Protocol
  url: https://jackalprotocol.com
paths:
  /accounts/usage:
    get:
      tags:
        - accounts
      summary: Get account usage
      description: Get storage usage information for the account
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  bytes_allowed:
                    type: integer
                    description: Total storage allowed in bytes
                  bytes_used:
                    type: integer
                    description: Current storage used in bytes
        '401':
          description: Unauthorized User
        '402':
          description: No subscription active
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: http
      scheme: bearer
      bearerFormat: JWT

````